## WebKitDOMHTMLMarqueeElement

WebKitDOMHTMLMarqueeElement

## Functions

void | webkit_dom_html_marquee_element_start ()
void | webkit_dom_html_marquee_element_stop ()
gchar * | webkit_dom_html_marquee_element_get_behavior ()
void | webkit_dom_html_marquee_element_set_behavior ()
gchar * | webkit_dom_html_marquee_element_get_bg_color ()
void | webkit_dom_html_marquee_element_set_bg_color ()
gchar * | webkit_dom_html_marquee_element_get_direction ()
void | webkit_dom_html_marquee_element_set_direction ()
gchar * | webkit_dom_html_marquee_element_get_height ()
void | webkit_dom_html_marquee_element_set_height ()
gulong | webkit_dom_html_marquee_element_get_hspace ()
void | webkit_dom_html_marquee_element_set_hspace ()
glong | webkit_dom_html_marquee_element_get_loop ()
void | webkit_dom_html_marquee_element_set_loop ()
glong | webkit_dom_html_marquee_element_get_scroll_amount ()
void | webkit_dom_html_marquee_element_set_scroll_amount ()
glong | webkit_dom_html_marquee_element_get_scroll_delay ()
void | webkit_dom_html_marquee_element_set_scroll_delay ()
gboolean | webkit_dom_html_marquee_element_get_true_speed ()
void | webkit_dom_html_marquee_element_set_true_speed ()
gulong | webkit_dom_html_marquee_element_get_vspace ()
void | webkit_dom_html_marquee_element_set_vspace ()
gchar * | webkit_dom_html_marquee_element_get_width ()
void | webkit_dom_html_marquee_element_set_width ()

## Properties

gchar * | behavior | Read / Write
gchar * | bg-color | Read / Write
gchar * | direction | Read / Write
gchar * | height | Read / Write
gulong | hspace | Read / Write
glong | loop | Read / Write
glong | scroll-amount | Read / Write
glong | scroll-delay | Read / Write
gboolean | true-speed | Read / Write
gulong | vspace | Read / Write
gchar * | width | Read / Write

## Types and Values

| WebKitDOMHTMLMarqueeElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLMarqueeElement

## Implemented Interfaces

WebKitDOMHTMLMarqueeElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_marquee_element_start ()

    void
    webkit_dom_html_marquee_element_start (WebKitDOMHTMLMarqueeElement *self);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |

### webkit_dom_html_marquee_element_stop ()

    void
    webkit_dom_html_marquee_element_stop (WebKitDOMHTMLMarqueeElement *self);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |

### webkit_dom_html_marquee_element_get_behavior ()

    gchar *
    webkit_dom_html_marquee_element_get_behavior
                                   (WebKitDOMHTMLMarqueeElement *self);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |

#### Returns

A gchar

### webkit_dom_html_marquee_element_set_behavior ()

    void
    webkit_dom_html_marquee_element_set_behavior
                                   (WebKitDOMHTMLMarqueeElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |
value | A gchar |

### webkit_dom_html_marquee_element_get_bg_color ()

    gchar *
    webkit_dom_html_marquee_element_get_bg_color
                                   (WebKitDOMHTMLMarqueeElement *self);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |

#### Returns

A gchar

### webkit_dom_html_marquee_element_set_bg_color ()

    void
    webkit_dom_html_marquee_element_set_bg_color
                                   (WebKitDOMHTMLMarqueeElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |
value | A gchar |

### webkit_dom_html_marquee_element_get_direction ()

    gchar *
    webkit_dom_html_marquee_element_get_direction
                                   (WebKitDOMHTMLMarqueeElement *self);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |

#### Returns

A gchar

### webkit_dom_html_marquee_element_set_direction ()

    void
    webkit_dom_html_marquee_element_set_direction
                                   (WebKitDOMHTMLMarqueeElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |
value | A gchar |

### webkit_dom_html_marquee_element_get_height ()

    gchar *
    webkit_dom_html_marquee_element_get_height
                                   (WebKitDOMHTMLMarqueeElement *self);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |

#### Returns

A gchar

### webkit_dom_html_marquee_element_set_height ()

    void
    webkit_dom_html_marquee_element_set_height
                                   (WebKitDOMHTMLMarqueeElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |
value | A gchar |

### webkit_dom_html_marquee_element_get_hspace ()

    gulong
    webkit_dom_html_marquee_element_get_hspace
                                   (WebKitDOMHTMLMarqueeElement *self);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |

#### Returns

A gulong

### webkit_dom_html_marquee_element_set_hspace ()

    void
    webkit_dom_html_marquee_element_set_hspace
                                   (WebKitDOMHTMLMarqueeElement *self,
                                    gulong value);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |
value | A gulong |

### webkit_dom_html_marquee_element_get_loop ()

    glong
    webkit_dom_html_marquee_element_get_loop
                                   (WebKitDOMHTMLMarqueeElement *self);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |

#### Returns

A glong

### webkit_dom_html_marquee_element_set_loop ()

    void
    webkit_dom_html_marquee_element_set_loop
                                   (WebKitDOMHTMLMarqueeElement *self,
                                    glong value,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |
value | A glong |
error | GError |

### webkit_dom_html_marquee_element_get_scroll_amount ()

    glong
    webkit_dom_html_marquee_element_get_scroll_amount
                                   (WebKitDOMHTMLMarqueeElement *self);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |

#### Returns

A glong

### webkit_dom_html_marquee_element_set_scroll_amount ()

    void
    webkit_dom_html_marquee_element_set_scroll_amount
                                   (WebKitDOMHTMLMarqueeElement *self,
                                    glong value,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |
value | A glong |
error | GError |

### webkit_dom_html_marquee_element_get_scroll_delay ()

    glong
    webkit_dom_html_marquee_element_get_scroll_delay
                                   (WebKitDOMHTMLMarqueeElement *self);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |

#### Returns

A glong

### webkit_dom_html_marquee_element_set_scroll_delay ()

    void
    webkit_dom_html_marquee_element_set_scroll_delay
                                   (WebKitDOMHTMLMarqueeElement *self,
                                    glong value,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |
value | A glong |
error | GError |

### webkit_dom_html_marquee_element_get_true_speed ()

    gboolean
    webkit_dom_html_marquee_element_get_true_speed
                                   (WebKitDOMHTMLMarqueeElement *self);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |

#### Returns

A gboolean

### webkit_dom_html_marquee_element_set_true_speed ()

    void
    webkit_dom_html_marquee_element_set_true_speed
                                   (WebKitDOMHTMLMarqueeElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |
value | A gboolean |

### webkit_dom_html_marquee_element_get_vspace ()

    gulong
    webkit_dom_html_marquee_element_get_vspace
                                   (WebKitDOMHTMLMarqueeElement *self);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |

#### Returns

A gulong

### webkit_dom_html_marquee_element_set_vspace ()

    void
    webkit_dom_html_marquee_element_set_vspace
                                   (WebKitDOMHTMLMarqueeElement *self,
                                    gulong value);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |
value | A gulong |

### webkit_dom_html_marquee_element_get_width ()

    gchar *
    webkit_dom_html_marquee_element_get_width
                                   (WebKitDOMHTMLMarqueeElement *self);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |

#### Returns

A gchar

### webkit_dom_html_marquee_element_set_width ()

    void
    webkit_dom_html_marquee_element_set_width
                                   (WebKitDOMHTMLMarqueeElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLMarqueeElement |
value | A gchar |

## Types and Values

### WebKitDOMHTMLMarqueeElement

    typedef struct _WebKitDOMHTMLMarqueeElement WebKitDOMHTMLMarqueeElement;

## Property Details

### The `“behavior”` property

      “behavior”                 gchar *

read-write gchar* HTMLMarqueeElement:behavior.

Flags: Read / Write

Default value: ""

### The `“bg-color”` property

      “bg-color”                 gchar *

read-write gchar* HTMLMarqueeElement:bg-color.

Flags: Read / Write

Default value: ""

### The `“direction”` property

      “direction”                gchar *

read-write gchar* HTMLMarqueeElement:direction.

Flags: Read / Write

Default value: ""

### The `“height”` property

      “height”                   gchar *

read-write gchar* HTMLMarqueeElement:height.

Flags: Read / Write

Default value: ""

### The `“hspace”` property

      “hspace”                   gulong

read-write gulong HTMLMarqueeElement:hspace.

Flags: Read / Write

### The `“loop”` property

      “loop”                     glong

read-write glong HTMLMarqueeElement:loop.

Flags: Read / Write

Default value: 0

### The `“scroll-amount”` property

      “scroll-amount”            glong

read-write glong HTMLMarqueeElement:scroll-amount.

Flags: Read / Write

Default value: 0

### The `“scroll-delay”` property

      “scroll-delay”             glong

read-write glong HTMLMarqueeElement:scroll-delay.

Flags: Read / Write

Default value: 0

### The `“true-speed”` property

      “true-speed”               gboolean

read-write gboolean HTMLMarqueeElement:true-speed.

Flags: Read / Write

Default value: FALSE

### The `“vspace”` property

      “vspace”                   gulong

read-write gulong HTMLMarqueeElement:vspace.

Flags: Read / Write

### The `“width”` property

      “width”                    gchar *

read-write gchar* HTMLMarqueeElement:width.

Flags: Read / Write

Default value: ""